Package ru.bitel.bgbilling.kernel.bgsecure.common.bean

# Class ActionLogEntry

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.bgsecure.common.bean.ActionLogEntry

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ActionLogEntry extends Id

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ActionLogEntry.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ActionLogEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ActionLogEntry.Builder`
  `builder()`
  `String`
  `getAction()`
  `Date`
  `getDatetime()`
  `int`
  `getModuleId()`
  `String`
  `getModuleTitle()`
  `String`
  `getQuery()`
  `int`
  `getUserId()`
  `void`
  `setAction(String action)`
  `void`
  `setDatetime(Date datetime)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setModuleTitle(String moduleTitle)`
  `void`
  `setQuery(String query)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ActionLogEntry

    public ActionLogEntry()

- ## Method Details

  - ### getDatetime

    public Date getDatetime()

  - ### setDatetime

    public void setDatetime(Date datetime)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getAction

    public String getAction()

  - ### setAction

    public void setAction(String action)

  - ### getQuery

    public String getQuery()

  - ### setQuery

    public void setQuery(String query)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getModuleTitle

    public String getModuleTitle()

  - ### setModuleTitle

    public void setModuleTitle(String moduleTitle)

  - ### builder

    public static ActionLogEntry.Builder builder()